Subject: Re: [UPDATED][NET-NEXT PATCH 0/4] Minor bnx2 patches

From: Jeff Garzik <[email-masked]>
Date: Thu, 18 Sep 2008 13:04:02 -0400

Benjamin Li wrote:
> Thanks for the comments Simon.  I have integrated the changes that you have suggested.  I have reposted the entire patch set in numbered form so that it could be merged in easier.
> 
> Thanks again.
> 
> -Ben
> 
>> @@ -7514,7 +7514,6 @@ bnx2_init_board(struct pci_dev *pdev, struct net_device *dev)
>>>       bp->stats_ticks = USEC_PER_SEC & BNX2_HC_STATS_TICKS_HC_STAT_TICKS;
>>>
>>> -     bp->timer_interval =  HZ;
>>>       bp->current_interval =  HZ;
>> Would it make sense to set current_interval to BNX2_TIMER_INTERVAL?
> 
> Changed.
> 
>>> diff --git a/drivers/net/bnx2.h b/drivers/net/bnx2.h
>>> index cb47c98..e534c1d 100644
>>> --- a/drivers/net/bnx2.h
>>> +++ b/drivers/net/bnx2.h
>>> @@ -6701,7 +6701,7 @@ struct bnx2 {
>>>
>>>       /* End of fields used in the performance code paths. */
>>>
>>> -     int                     timer_interval;
>>> +#define BNX2_TIMER_INTERVAL                  HZ
>> Perhaps its just me, but would it be nicer to define BNX2_TIMER_INTERVAL
>> somewhere other than in the middle of this structure?
>>
> Moved outside of the bnx2 structure.
> 
> --------------------
> 
> Benjamin Li (4):
>   bnx2: In bnx2_set_mac_link() return void rather then int
>   bnx2: Update MODULE_DESCRIPTION to include the 5716
>   bnx2: Remove name field from bnx2 structure
>   bnx2: Remove timer_interval field from the bnx2 structure
> 
>  drivers/net/bnx2.c |   22 +++++++++-------------
>  drivers/net/bnx2.h |    5 ++---
>  2 files changed, 11 insertions(+), 16 deletions(-)

Patches 1-4 Acked-by: Jeff Garzik <[email-masked]>

Unlike most net drivers, as a special case, davem usually applies 
patches to this net driver (and tg3), rather than me.  So I'll let him 
pick these up (CC'd).